## org.eclipse.m2m.qvt.oml.runtime.util
Interface QvtoTransformationHelper.TransfExecutionResult

Enclosing class:
  QvtoTransformationHelper

    public static interface QvtoTransformationHelper.TransfExecutionResult

Method Summary
`java.lang.String` `getConsoleOutput()`
`java.util.List<QvtoTransformationHelper.ModelExtent>` `getOutModelExtents()`
`java.util.List<org.eclipse.emf.ecore.EObject>` `getOutParameters()`

Method Detail

### getOutModelExtents

    java.util.List<QvtoTransformationHelper.ModelExtent> getOutModelExtents()

  Returns:
    List of resources (model extents) created for each 'inout' / 'out' model parameter. Extent contains root objects only.
    Model parameter comes from 'transformation' definition:
    `transformation T(inout model1 : ecore, out model2 : uml);`

### getOutParameters

    java.util.List<org.eclipse.emf.ecore.EObject> getOutParameters()

  Returns:
    List of transformation output parameters created for each 'out' parameter of transformation's entry operation.
    Output parameter comes from transformation's main() operation:
    `main(out outParam : ecore::EPackage@model1) { .. }`

### getConsoleOutput

    java.lang.String getConsoleOutput()

  Returns:
    Console output produced by transformation.

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.